---
title: "Sequencing"
description: "Documentation and guidance for building tools and integrations with the Disguise platform."
url: https://developer.disguise.one/api/session/sequencing/
---

# SEQUENCING API

-   [POST changeindirections](#post-changeindirections)
-   [GET indirectionresources](#get-indirectionresources)
-   [GET indirections](#get-indirections)

## POST changeindirections

### Summary

Trigger a change to one or more indirections

### URL

POST    /api/session/sequencing/changeindirections

### Request

```json
{
  "changes": [
    {
      "indirection": {
        "uid": "",
        "name": ""
      },
      "resource": {
        "uid": "",
        "name": ""
      }
    }
  ]
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET indirectionresources

### Summary

Get the available resources for a given indirection

### URL

GET    /api/session/sequencing/indirectionresources

### Query Params

uid    uint64    

name    string    

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "uid": "",
      "name": ""
    }
  ]
}
```

## GET indirections

### Summary

List all indirections

### URL

GET    /api/session/sequencing/indirections

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "uid": "",
      "name": "",
      "resourceType": "",
      "currentResource": {
        "uid": "",
        "name": ""
      }
    }
  ]
}
```
